- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.control.Control Class Reference

The smjg.libs.sdwf.control.Control class is the base of classes used to interface dialog controls. More...

Inheritance diagram for smjg.libs.sdwf.control.Control:

List of all members.

## Public Member Functions
| this (Dialog parent, int id)
| Constructs a Control object to interface a given dialog control.
| this (WindowBase parent, int id, string text, Rect position, string className="STATIC")
| Constructs a control to be created at runtime.
| this (FrameWindow parent, int id, string text, string className="STATIC")
| Constructs a control to be used as the client pane of a FrameWindow.
override void | create ()
| Creates the control interface element.
Properties
Font | font ()
| The font used by the control.
Font | font (Font f)
| The font used by the control.
## Protected Member Functions
override void | initListeners ()
## Protected Attributes
int | controlID
Rect | _position
string | _className
Font | _font

## Detailed Description

The smjg.libs.sdwf.control.Control class is the base of classes used to interface dialog controls.

A static control can be implemented by a Control object itself; subclasses are defined for specific types of controls.

## Constructor & Destructor Documentation

smjg.libs.sdwf.control.Control.this | ( | Dialog | parent,
|  | int | id |
| ) |  |  |

Constructs a Control object to interface a given dialog control.

Parameters:

  | parent | the dialog on which the control is placed.
  | id | numeric ID of the control.

Precondition:
  The parent interface element must already have been created. Control objects should be constructed in an overridden Dialog.setup method, not in the constructor of a Dialog subclass.

Status:
  done

Reimplemented in smjg.libs.sdwf.commoncontrol.TreeView, smjg.libs.sdwf.control.Button, smjg.libs.sdwf.control.CheckBox, smjg.libs.sdwf.control.RadioButton, smjg.libs.sdwf.control.EditBox, smjg.libs.sdwf.control.ListBox, and smjg.libs.sdwf.control.ComboBox.

smjg.libs.sdwf.control.Control.this | ( | WindowBase | parent,
|  | int | id,
|  | string | text,
|  | Rect | position,
|  | string | className = `"STATIC"` |
| ) |  |  |

Constructs a control to be created at runtime.

Parameters:

  | parent | the window or dialog on which the control will be placed.
  | id | numeric ID that the control will have.
  | text | the control's caption text.
  | position | the position on the parent window where the control will be placed.
  | className | the Windows control class to which the control will belong. The default setting is for static text.

Note:
  The tab order of controls will be the order in which the interface elements are created (using either Control.create or Control.show).

Since:
  0.4

Status:
  done

Reimplemented in smjg.libs.sdwf.control.ListBox.

smjg.libs.sdwf.control.Control.this | ( | FrameWindow | parent,
|  | int | id,
|  | string | text,
|  | string | className = `"STATIC"` |
| ) |  |  |

Constructs a control to be used as the client pane of a FrameWindow.

Parameters:

  | parent | the frame window in which this control will be framed.
  | id | numeric ID that the control will have.
  | text | the control's caption text.
  | className | the Windows control class to which the control will belong. The default setting is for static text.

Since:
  0.4

Status:
  done

## Member Function Documentation

Font smjg.libs.sdwf.control.Control.font | ( |  | ) |

The font used by the control.

Return values:

  | null | if no font has been set, so that the control is using the default font.

Since:
  0.5

Font smjg.libs.sdwf.control.Control.font | ( | Font | f | ) |

The font used by the control.

Setting this value to `null` resets the control to use the default font.

Since:
  0.5

Status:
  test

override void smjg.libs.sdwf.control.Control.create | ( |  | ) | `[virtual]`

Creates the control interface element.

Precondition:
  Must be a control created using one of the constructors designed for creating controls at runtime, and not already have been created.

Status:
  done

Implements smjg.libs.sdwf.windowbase.WindowBase.

Reimplemented in smjg.libs.sdwf.commoncontrol.TreeView, and smjg.libs.sdwf.statusbar.StatusBar.

override void smjg.libs.sdwf.control.Control.initListeners | ( |  | ) | `[protected, virtual]`

Implements smjg.libs.sdwf.windowbase.WindowBase.

## Member Data Documentation

int smjg.libs.sdwf.control.Control.controlID`[protected]`

Rect smjg.libs.sdwf.control.Control._position`[protected]`

string smjg.libs.sdwf.control.Control._className`[protected]`

Font smjg.libs.sdwf.control.Control._font`[protected]`

The documentation for this class was generated from the following file:

- control.d